commit:     cb3c4f6b248f739f802ce08d371373e052032785
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 13 22:46:12 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Mon Aug 14 16:57:29 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb3c4f6b

mail-client/evolution: version bump 3.22.6 → 3.24.5

Package-Manager: Portage-2.3.7, Repoman-2.3.3

 mail-client/evolution/Manifest                |   1 +
 mail-client/evolution/evolution-3.24.5.ebuild | 156 ++++++++++++++++++++++++++
 2 files changed, 157 insertions(+)

diff --git a/mail-client/evolution/Manifest b/mail-client/evolution/Manifest
index d8aa20c1ba6..ced6558b3a1 100644
--- a/mail-client/evolution/Manifest
+++ b/mail-client/evolution/Manifest
@@ -1,2 +1,3 @@
 DIST evolution-3.22.4.tar.xz 12272488 SHA256 
522209f022a468c9031fd393fe4ba6c655dedfa06dd6ae59d2d693d1485c690a SHA512 
dd73a11d4d7903be6a99bf0d937f5a217a26f0dffb9dc0cea2ca81142d5783c42f889a8b913d565678e9f55b7f2f2a1d42f06c30e3cb004926c19f44dae3b70f
 WHIRLPOOL 
6aadef7a735cd351abbcdaacd086641b656ac7d94d78ab278ef0270725f487a5cd0eb6b859530611f41049024e12945368e6616fe2a3afd4481cce6654ee6279
 DIST evolution-3.22.6.tar.xz 12288232 SHA256 
9f4be4a1d5ee4d5eb9b132cf751ba3afc833025aa6dc7baa1f9483489d8a943e SHA512 
c699adae640d05558b583b05eda5c5ad3de99aa1d1bbfa24af6110be41251f715ff4b16ff0efb96c8de7faa8c895d82460b504c2704974d4c9731f1bc3e7739f
 WHIRLPOOL 
df9fde3db1b6ebf11551d81694a99e07822ab184cc4d14e7d54777eab348de60c5180bd73e0795a3c190509b97f0d948b4e0f4b6d32816e46d967a555746ae98
+DIST evolution-3.24.5.tar.xz 12140736 SHA256 
5544c5ea1a1c352e0300bff447ddf67146486fc3a6bbecd1b785d378d34b2189 SHA512 
daba1ebd9407219b3abe959b27adb32eb0038a9c1653c360a19cf28f8849004a8cd4a652562d696045311c13d19030f93d3578e09d06fff01534ada28f883f2c
 WHIRLPOOL 
e8321a793fd0a34ffaa47a4ce749ac380cd6ad373b7f31ad1823433750922848442a71bfac285684c18cb642216443b7c12f408656ec4707f73bec53118b0ae5

diff --git a/mail-client/evolution/evolution-3.24.5.ebuild 
b/mail-client/evolution/evolution-3.24.5.ebuild
new file mode 100644
index 00000000000..a3c3eed5162
--- /dev/null
+++ b/mail-client/evolution/evolution-3.24.5.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit cmake-utils gnome2 flag-o-matic readme.gentoo-r1
+
+DESCRIPTION="Integrated mail, addressbook and calendaring functionality"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution";
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) CC-BY-SA-3.0 FDL-1.3+ OPENLDAP"
+SLOT="2.0"
+
+IUSE="archive +bogofilter crypt geolocation highlight ldap spamassassin spell 
ssl +weather"
+
+KEYWORDS="~alpha ~amd64 ~ia64 ~x86"
+
+# We need a graphical pinentry frontend to be able to ask for the GPG
+# password from inside evolution, bug 160302
+PINENTRY_DEPEND="|| ( app-crypt/pinentry[gnome-keyring] 
app-crypt/pinentry[gtk] app-crypt/pinentry[qt4] app-crypt/pinentry[qt5] )"
+
+# glade-3 support is for maintainers only per configure.ac
+# pst is not mature enough and changes API/ABI frequently
+# dconf explicitely needed for backup plugin
+# gnome-desktop support is optional with --enable-gnome-desktop
+COMMON_DEPEND="
+       >=app-crypt/gcr-3.4:=
+       >=app-text/enchant-1.1.7
+       >=dev-libs/glib-2.46:2[dbus]
+       >=dev-libs/libxml2-2.7.3:2
+       >=gnome-base/gnome-desktop-2.91.3:3=
+       >=gnome-base/gsettings-desktop-schemas-2.91.92
+       >=gnome-extra/evolution-data-server-${PV}:=[gtk,weather?]
+       >=media-libs/libcanberra-0.25[gtk3]
+       >=net-libs/libsoup-2.42:2.4
+       >=net-libs/webkit-gtk-2.13.90:4
+       >=x11-libs/cairo-1.9.15:=[glib]
+       >=x11-libs/gdk-pixbuf-2.24:2
+       >=x11-libs/gtk+-3.10:3
+       >=x11-libs/libnotify-0.7:=
+       >=x11-misc/shared-mime-info-0.22
+
+       >=app-text/iso-codes-0.49
+       dev-libs/atk
+       gnome-base/dconf
+       dev-libs/libical:=
+       x11-libs/libSM
+       x11-libs/libICE
+
+       archive? ( >=app-arch/gnome-autoar-0.1.1[gtk] )
+       crypt? (
+               >=app-crypt/gnupg-1.4
+               ${PINENTRY_DEPEND}
+               x11-libs/libcryptui )
+       geolocation? (
+               >=media-libs/libchamplain-0.12:0.12[gtk]
+               >=media-libs/clutter-1.0.0:1.0
+               >=media-libs/clutter-gtk-0.90:1.0
+               >=sci-geosciences/geocode-glib-3.10.0
+               x11-libs/mx:1.0 )
+       ldap? ( >=net-nds/openldap-2:= )
+       spell? ( app-text/gtkspell:3 )
+       ssl? (
+               >=dev-libs/nspr-4.6.1:=
+               >=dev-libs/nss-3.11:= )
+       weather? ( >=dev-libs/libgweather-3.10:2= )
+"
+DEPEND="${COMMON_DEPEND}
+       app-text/docbook-xml-dtd:4.1.2
+       app-text/yelp-tools
+       dev-util/gdbus-codegen
+       >=dev-util/gtk-doc-am-1.14
+       >=dev-util/intltool-0.40.0
+       >=sys-devel/gettext-0.18.3
+       virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+       bogofilter? ( mail-filter/bogofilter )
+       highlight? ( app-text/highlight )
+       spamassassin? ( mail-filter/spamassassin )
+       !gnome-extra/evolution-exchange
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="To change the default browser if you are not using GNOME, edit
+~/.local/share/applications/mimeapps.list so it includes the
+following content:
+
+[Default Applications]
+x-scheme-handler/http=firefox.desktop
+x-scheme-handler/https=firefox.desktop
+
+(replace firefox.desktop with the name of the appropriate .desktop
+file from /usr/share/applications if you use a different browser)."
+
+src_prepare() {
+       # Leave post-install actions to eclass
+       sed -e "s;\(find_program(GTK_UPDATE_ICON_CACHE\).*;\1 $(type -P 
true));" \
+               -i "${S}"/cmake/modules/IconCache.cmake || die
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # Use NSS/NSPR only if 'ssl' is enabled.
+       local mycmakeargs=(
+               -DENABLE_SCHEMAS_COMPILE=OFF
+               -DENABLE_GTK_DOC=OFF
+               -DWITH_OPENLDAP=$(usex ldap)
+               -DENABLE_SMIME=$(usex ssl)
+               -DENABLE_GNOME_DESKTOP=ON
+               -DENABLE_CANBERRA=ON
+               -DENABLE_AUTOAR=$(usex archive)
+               -DWITH_HELP=ON
+               -DENABLE_LIBCRYPTUI=$(usex crypt)
+               -DENABLE_YTNEF=OFF
+               -DWITH_BOGOFILTER=$(usex bogofilter)
+               -DWITH_SPAMASSASSIN=$(usex spamassassin)
+               -DENABLE_GTKSPELL=$(usex spell)
+               -DENABLE_TEXT_HIGHLIGHT=$(usex highlight)
+               -DENABLE_WEATHER=$(usex weather)
+               -DENABLE_CONTACT_MAPS=$(usex geolocation)
+               -DENABLE_PST_IMPORT=OFF
+               -DWITH_GLADE_CATALOG=OFF
+       )
+
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+}
+
+src_test() {
+       cmake-utils_src_test
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # Problems with prelink:
+       # https://bugzilla.gnome.org/show_bug.cgi?id=731680
+       # https://bugzilla.gnome.org/show_bug.cgi?id=732148
+       # https://bugzilla.redhat.com/show_bug.cgi?id=1114538
+       echo PRELINK_PATH_MASK=/usr/bin/evolution > ${T}/99${PN}
+       doenvd "${T}"/99${PN}
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       readme.gentoo_print_elog
+}

Reply via email to